Create User Promotion
This endpoint is used to create a custom promotion for a specific user. This could be used in scenarios where a business wants to award a special promotional offer to a particular user.
Request Body
-
user_id(string): The unique ID of the user for whom the promotion is being created. -
promotion_id(string): The unique ID of the promotion that is being applied. -
timestamp(string): The time at which the promotion is being applied to the user. -
timestampx(string): This field represents the expiration time of the applied promotion.
Response
-
user_promotion_id(string): The unique ID of the created promotion for the user. -
user_id(string): The unique ID of the user for whom the promotion was created. -
promotion_id(string): The unique ID of the applied promotion. -
barcode_id(string): The unique id of the barcode that will be used for the promotion. It is null if a barcode is not used. -
expiry_date(string): The expiration date of the promotion. -
updated_at(string): The date and time when the promotion was updated. -
created_at(string): The date and time when the promotion was created.

